Created by rockyl on 2018/11/9.

常用工具

## Index

### Variables

- zeros

### Functions

- format
- formatApply
- injectProp
- objectStringify
- supplement
- waitPromise

## Variables

### Const zeros

zeros: Array<string> = ["0","00","000","0000","00000","000000","0000000","00000000","000000000","0000000000"]

- Defined in tools/utils.ts:87

## Functions

### format

- format(formatStr: string, ...params: any[]): string

- - Defined in tools/utils.ts:68

  可视化字符串

  #### Parameters

  - ##### formatStr: string

  - ##### Rest ...params: any[]

  #### Returns string

### formatApply

- formatApply(formatStr: string, params: any[]): string

- - Defined in tools/utils.ts:77

  格式化字符串(apply调用)

  #### Parameters

  - ##### formatStr: string

  - ##### params: any[]

  #### Returns string

### injectProp

- injectProp(target: any, data?: any, callback?: Function, ignoreMethod?: boolean, ignoreNull?: boolean): boolean

- - Defined in tools/utils.ts:17

  属性注入方法

  #### Parameters

  - ##### target: any

    目标对象

  - ##### Optional data: any

    被注入对象

  - ##### Optional callback: Function

    自定义注入方法

  - ##### Default value ignoreMethod: boolean = true

    是否忽略方法

  - ##### Default value ignoreNull: boolean = true

    是否忽略Null字段

  #### Returns boolean

  是否有字段注入

### objectStringify

- objectStringify(obj: any): string

- - Defined in tools/utils.ts:42

  对象转搜索字符串

  #### Parameters

  - ##### obj: any

  #### Returns string

### supplement

- supplement(value: number, count: number): string

- - Defined in tools/utils.ts:105

  补零

  #### Parameters

  - ##### value: number

  - ##### count: number

  #### Returns string

### waitPromise

- waitPromise(duration: any): Promise<void>

- - Defined in tools/utils.ts:57

  生成一个等待Promise

  #### Parameters

  - ##### duration: any

  #### Returns Promise<void>

Generated using TypeDoc